# -*- coding: utf8 -*-
from builtins import object
from pyramid.view import view_config
from euhu.programs.qe import to_bmas, validate
from qe.model.participation import QEParticipation as Participation

from ringo_bmasreport.reports.sachbericht import (
    filters, recipe, evaluate,
    prepare_result_for_print)
from ringo_bmasreport.views import sachbericht as evaluate_view
from ringo_printtemplate.views import print_template


program = "qe"
indicators ={'OI': [],
              'RI': [('QE1', u'Zentraler Ergebnisindikator: Der/die Teilnehmende hat erfolgreich eine Qualifizierung zur/m staatlich anerkannten Erzieher/-in abgeschlossen.')
                ]}



def derive_indicators(values):
    return to_bmas(values)


class DummyData(object):
    def __init__(self, str1, name="sachbericht"):
        self.data = str1
        self.name = name


@view_config(route_name='report_sachbericht',
             renderer='/sachbericht.mako')
def report(request):
    result = evaluate_view(request, "qe", Participation, evaluate, recipe,
                           validate, derive_indicators, indicators, filters)
    return result

@view_config(route_name='report_print_sachbericht')
def print_report(request):
    result = evaluate_view(request, "qe", Participation, evaluate, recipe,
                           validate, derive_indicators, indicators, filters,
                           getvalidate=True)
    result = prepare_result_for_print(result, request)
    return print_template(request, result,
        DummyData("@qe:qe/static/sachbericht_vorlage.odt"))
